CRMchat APIBeta
Telegram APIMessages

messages.getBotApp

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.getBotApp

Obtain information about a direct link Mini App

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Obtain information about a direct link Mini App

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.getBotApp" \  -H "Content-Type: application/json" \  -d '{    "params": {      "app": {        "_": "inputBotAppID",        "id": "string",        "accessHash": "string"      },      "hash": "string"    }  }'
{  "result": {    "_": "messages.botApp",    "inactive": true,    "requestWriteAccess": true,    "hasSettings": true,    "app": {      "_": "botAppNotModified"    }  }}